Permalink
Commits on Oct 3, 2016
  1. Merge pull request #57 from maxcal/patch-1

    Add installation instructions to readme
    committed on GitHub Oct 3, 2016
Commits on Sep 28, 2016
  1. Add installation instructions to readme

    maxcal committed on GitHub Sep 28, 2016
Commits on Sep 23, 2016
  1. Merge pull request #52 from junaruga/feature/templates-Rakefile-shebang

    Unneeded shebang.
    committed on GitHub Sep 23, 2016
  2. version bump 1.1.4

    committed Sep 23, 2016
Commits on Aug 29, 2016
  1. Merge pull request #55 from tmobaird/feature/respond_to_basic_shell_o…

    …perations
    
    Adding generator example helper to set response values for basic shell prompts
    committed on GitHub Aug 29, 2016
Commits on Aug 28, 2016
  1. Merge pull request #56 from alexrothenberg/rails-5-fix

    Rails 5 fix
    committed on GitHub Aug 28, 2016
  2. added "yes" to the rake build to since bundler asks some questions

    committed Aug 28, 2016
Commits on Aug 27, 2016
  1. when testing a gem tell bundler to use rspec instead of asking (askin…

    …g does not work on travis)
    committed Aug 27, 2016
  2. constraints for testing on old rubies

    * rails 5 is ruby >= 2.2.2
    * rack 2 is ruby >=2.2.2
    committed Aug 27, 2016
  3. travis testing changes - latest rubies and such

    * added ruby 2.3 and jruby 9.1.2.0
    * removed old rspecs
    * removed ruby 1.9 & 1.8
    committed Aug 27, 2016
  4. feature fix for rails 5

    models now inherit from "ApplicationRecord" instead of
    "ActiveRecord::Base"
    Change the expectation so it works with either Rails 4 or Rails 5
    committed Aug 27, 2016
Commits on Mar 24, 2016
  1. Unneeded shebang.

    junaruga committed Mar 24, 2016
Commits on Nov 17, 2015
  1. fix failing tests on Travis

    d4rky-pl committed Nov 17, 2015
Commits on Aug 14, 2015
  1. stop spring when running cucumber

    Since we create and destroy the `tmp/example_app` dir ensure that spring is not left running in it
    committed Jul 30, 2015
  2. Merge pull request #50 from bigtunacan/master

    Addresses issue #48 ammeter fails if not using fixtures
    committed Aug 14, 2015
Commits on Jul 28, 2015
  1. Revert "Updated failing cukes. Added .ruby-version and .ruby-gemset f…

    …iles to gitignore."
    
    This reverts commit a81541f.
    bigtunacan committed Jul 28, 2015
Commits on Jan 24, 2015
Commits on Jan 23, 2015
  1. Merge pull request #47 from cupakromer/fix-default-subject-warning

    Set the default subject in the module.
    committed Jan 23, 2015
Commits on Jan 20, 2015
  1. Fix failing 1.8.7 builds.

    cupakromer committed Jan 20, 2015
Commits on Jan 18, 2015
  1. Set the default subject in the module.

    By setting the default subject with `included` is sets the `subject`
    helper on the internal RSpec memoized helper modules. This causes
    warnings when another top-level `subject` is defined by the spec author.
    
    This removes using the RSpec memoized helper module and simply sets a
    `subject` method delegate for `generator`. The generator is already
    memoized by ammeter so we are not missing that feature from RSpec.
    cupakromer committed Jan 18, 2015
Commits on Dec 6, 2014
  1. Merge pull request #46 from mbrookes/patch-1

    Add explicit type
    committed Dec 6, 2014
Commits on Nov 29, 2014
  1. Add explicit type

    mbrookes committed Nov 29, 2014
Commits on Oct 16, 2014
  1. Updated documentation migration_file

    It is recommended to use `migration_file` in subject and the `exist` matcher
    committed Oct 16, 2014
Commits on Aug 25, 2014
Commits on Aug 22, 2014
  1. Merge pull request #43 from cupakromer/support-ruby-187

    Support Ruby 1.8.7 for rspec-rails
    d4rky-pl committed Aug 22, 2014
  2. Speed up bundle install on Travis.

    Update the travis config per travis doc structure. Move `ruby-head` to
    later in the build so that the more important versions run first. Speed
    up the bundle install and improve gem install failures.
    cupakromer committed Aug 22, 2014
  3. Support Ruby 1.8.7 for rspec-rails.

    rspec-rails will be supporting Ruby 1.8.7 for the 3.x line. Ammeter will
    need to continue support 1.8.7 if it is going to be used by rspec-rails.
    The travis builds cannot fail any more on MRI versions.
    cupakromer committed Aug 22, 2014